Page MenuHomePhabricator

In Recent change > Pending changes, wrap text for second set of options (add min and max width)
Closed, ResolvedPublic2 Estimated Story Points

Description

Special:Preferences:

Special:GlobalPreferences:

add min and max width

Event Timeline

Niharika triaged this task as Medium priority.Feb 27 2018, 1:52 AM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 1:52 AM
Samwilson updated the task description. (Show Details)Feb 27 2018, 3:19 AM

The normal preferences wraps this because it's in a two-column table, so normal table layout stuff comes into effect.

If we wrap it, we have to decide how wide to make it. Could be 50%? Could be a set amount e.g. 40em? Maybe a max-width would be suitable?

It could look like this:

If we applied the same style throughout, elsewhere this would create this:

@Samwilson I think that looks pretty good. We can make the change and throw it on beta cluster to see how it looks. It definitely looks much better than what we have now but I'd like to look at all the tabs just to be sure.

TBolliger renamed this task from In Recent change > Pending changes, wrap text for second set of options to In Recent change > Pending changes, wrap text for second set of options (add min and max width).Feb 28 2018, 12:35 AM
TBolliger updated the task description. (Show Details)
TBolliger set the point value for this task to 2.
TBolliger moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.

Change 415796 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/GlobalPreferences@master] Make field labels a consistent width

https://gerrit.wikimedia.org/r/415796

I experimented with min and max, but have gone with just fixed width: 20em because it looks pretty good and as we're not targeting mobile super small screens aren't a concern. Looks okay on (simulated) tablet:

Which isn't perfect, but no worse than normal preferences in a small screen:

Change 415796 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Make field labels a consistent width

https://gerrit.wikimedia.org/r/415796

Niharika closed this task as Resolved.Mar 6 2018, 8:36 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Looks good to me. Thanks for working on this, Sam.